# Linux 基础 - 临时目录

临时目录（temporary folder or temporary directory），用于存放临时文件的目录。一般来说，临时目录简写作 `tmp`。在 Linux 中，一般约定了两个临时目录，`/tmp` 和 `/var/tmp`。

这两个目录中的数据有一定的最长存放时间，不同系统对存放时长的限制也有所不同。一般来说，`/tmp/` 存储时限较短，超过时限或重启系统后，文件会被删除。 而 `/var/tmp/` 存储时限较长，不会在两次重启系统之前被删除。

如果你非常确切地知道你在做什么，否则不要随意删除临时目录的文件，避免某些使用到这些文件的程序意外崩溃。